[package]
authors = ["LailaTheElf <mail@lailatheelf.nl>"]
edition = "2021"
readme = "README.md"
name = "rts10_rust"
version = "0.1.0"

[dependencies]
cortex-m = "0.7.7"
cortex-m-rt = "0.7.3"
panic-halt = "0.2"
alloc-cortex-m = "0.4.4"
cortex-m-semihosting = ">=0.5"
embedded-hal = "1.0.0"

[dependencies.stm32f4]
version = "0.15.1"
features = ["stm32f411", "rt"]

[dependencies.stm32f4xx-hal]
version = "0.22.0"
features = ["stm32f411"]

# this lets you use `cargo fix`!
# [[bin]]
# name = "rts10_rust"
# test = false
# bench = false

[profile.release]
codegen-units = 1 # better optimizations
debug = true # symbols are nice and they don't increase the size on Flash
lto = true # better optimizations
